GET /albservices/status
/albservices/status
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
OK
{
"_last_modified": "string",
"asset_details": {
"asset_id": "string",
"email": "string",
"keyless_license": {
"license_token": "string"
},
"site": {
"site_id": "string",
"site_name": "string"
},
"user_name": "string"
},
"connected_at": {
"secs": 0,
"usecs": 0
},
"connectivity_status": "string",
"error": "string",
"name": "string",
"registration_status": "string",
"services_health": [
{
"available": false,
"controllerReason": "string",
"id": "string",
"last_updated_time": {
"secs": 0,
"usecs": 0
},
"name": "string",
"operational": false,
"portalReason": "string",
"reason": "string"
}
],
"tenant_ref": "string",
"tenant_status": {
"iprep_synced_at": "string",
"last_connected_at": "string",
"last_disconnected_at": "string",
"last_registered_at": "string",
"last_token_refreshed_at": "string",
"license_refreshed_at": "string"
},
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
asset_details
connected_at
Connectivity status of controller with ALBServices. Enum options - ALBSERVICES_CONNECTIVITY_UNKNOWN, ALBSERVICES_DISCONNECTED, ALBSERVICES_CONNECTED. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Descriptive error message. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the ALBServicesStatus object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Registration status of the controller with ALBServices. Enum options - ALBSERVICES_REGISTRATION_UNKNOWN, ALBSERVICES_REGISTERED, ALBSERVICES_DEREGISTERED. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Health of hosted services. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Tenant UUID associated with the Object. It is a reference to an object of type Tenant. Field introduced in 30.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
tenant_status
url
Unique identifier of customer portal status object in the database and datastore. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -H 'Authorization: <value>' https://{api_host}/api/albservices/status